Module org.firebirdsql.jaybird
Package org.firebirdsql.gds

# Interface EventHandler

public interface EventHandler
A callback handler interface for event handling.

## Method Summary

Modifier and Type
Method
Description
`void`
`eventOccurred(EventHandle eventHandle)`
Called when a database event occurs.

## Method Details

### eventOccurred

void eventOccurred(EventHandle eventHandle)
Called when a database event occurs.

Implementations should take care to only perform short processing on the current thread. If longer or complicated processing is necessary, please offload it to another thread or executor.

Parameters:
  `eventHandle` - The event handle